[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.AutoScroll

Indicates if the form can automatically show or hide scroll bars.

## Declaration

Source position: forms.pp line 769

`public property TCustomForm.AutoScroll : Boolean stored IsAutoScrollStored;`

## Description

AutoScroll is a Boolean property which indicates if the form can automatically show or hide its scroll bars. Set AutoScroll to True to enable scroll bars when the form size is too small to display its content in its entirety. AutoScroll can only be True when the BorderStyle for the form is bsSizeable or bsSizeToolWin, and may be changed to False at run-time when BorderStyle is changed to another value.

## See also

TCustomForm.BorderStyle |  | The border style affects the title bar, border, icon(s), and resize behavior for the form.